VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
VSTGUI::Standalone::UIDesc Namespace Reference

## Classes
struct | Config
| Configuration for an UIDescription window. More...
class | Customization
| Customization helper for an UIDesc window. More...
class | CustomizationAdapter
| ICustomization adapter. More...
class | ICustomization
| UIDesc window customization interface. More...
class | IModelBinding
| Model binding interface. More...
class | ModelBindingCallbacks
struct | ValueCalls

## Typedefs
using | ModelBindingPtr = std::shared_ptr<IModelBinding>
using | CustomizationPtr = std::shared_ptr<ICustomization>
using | ModelBindingCallbacksPtr = std::shared_ptr<ModelBindingCallbacks>

## Functions
WindowPtr | makeWindow (const Config &config)
| Create a window with an UIDescription.

## Typedef Documentation

## ◆ CustomizationPtr

using CustomizationPtr = std::shared_ptr<ICustomization>

## ◆ ModelBindingCallbacksPtr

using ModelBindingCallbacksPtr = std::shared_ptr<ModelBindingCallbacks>

## ◆ ModelBindingPtr

using ModelBindingPtr = std::shared_ptr<IModelBinding>